
<div *ngIf="internalOrder">
    <h2><span jhiTranslate="mpmApp.internalOrder.detail.title">Internal Order</span> {{internalOrder.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.internalOrder.internalFrom">Internal From</span></dt>
        <dd>
            <div *ngIf="internalOrder.internalFromId">
                <a [routerLink]="['/internal', internalOrder.internalFromId]">{{internalOrder.internalFromIdInternal}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.internalOrder.internalTo">Internal To</span></dt>
        <dd>
            <div *ngIf="internalOrder.internalToId">
                <a [routerLink]="['/internal', internalOrder.internalToId]">{{internalOrder.internalToIdInternal}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'internal-order/'+ internalOrder.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
